### Function

# Gio SocketSourceFunc

since: 2.22

#### Declaration

    gboolean
    (* GSocketSourceFunc) (
      GSocket* socket,
      GIOCondition condition,
      gpointer data
    )

#### Description [src]

This is the function type of the callback used for the `GSource` returned by g_socket_create_source().

Available since: 2.22

#### Parameters

`socket`

  Type: `GSocket`

  The `GSocket`.

  The data is owned by the caller of the function.

`condition`

  Type: `GIOCondition`

  The current condition at the source fired.

`data`

  Type: `gpointer`

  Data passed in by the user.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

It should return `FALSE` if the source should be removed.